# KernelFactory Class Reference

A KernelFactory is an object that can create KernelImpls. More...

`#include <KernelFactory.h>`

List of all members.

## Public Member Functions

virtual KernelImpl * | createKernelImpl (std::string name, const Platform &platform, ContextImpl &context) const =0
| Create a KernelImpl.
virtual | ~KernelFactory ()

## Detailed Description

A KernelFactory is an object that can create KernelImpls.

This is an abstract class. Each Platform maintains a list of KernelFactory objects that it uses to create KernelImpls as needed.

## Constructor & Destructor Documentation

virtual ~KernelFactory | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual KernelImpl* createKernelImpl | ( | std::string | name,
|  | const Platform & | platform,
|  | ContextImpl & | context |
| ) |  |  | const`[pure virtual]`

Create a KernelImpl.

Parameters:

  | name | the name of the kernel to create
  | context | the context the kernel will belong to

The documentation for this class was generated from the following file:

- KernelFactory.h